Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-7087

OpenNMS depends on JRobin 1.6.0-SNAPSHOT

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 14.0.0
    • Fix Version/s: 14.0.0
    • Component/s: Build / Packaging
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None

      Description

      The POM for JRobin on origin/rc/1.14.0 (i.e. dependencies/jrobin/pom.xml) is pointing to a snapshot of JRobin.

      It would be better to tag 1.6.0 for JRobin, and update the dependency in OpenNMS, to avoid having a stable version of OpenNMS depending on a snapshot version of a third-party library.

        Attachments

          Activity

            People

            Assignee:
            ranger Benjamin Reed
            Reporter:
            agalue Alejandro Galue
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: